%global srcname pyramid-openapi3
%global modname pyramid_openapi3

Name:           python-%{srcname}
Version:        0.15.0
Release:        %autorelease
Summary:        Validate Pyramid views against an OpenAPI 3.0 document

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source:         https://github.com/Pylons/%{modname}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  poetry

# for tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-lazy-fixture)
BuildRequires:  python3dist(webtest)


%global _description %{expand:
Validates your API document (for example, openapi.yaml or openapi.json)
against the OpenAPI 3.0 specification using the openapi-spec-validator.

Generates and serves the Swagger try-it-out documentation for your API.

Validates incoming requests and outgoing responses against your API document
using openapi-core.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pyproject_check_import
%pytest %{modname}/tests


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.md


%changelog
%autochangelog
